%global _hardened_build 1

Name:              dnrd
Version:           2.20.3
Release:           13%{?dist}
Summary:           Domain Name Relay Daemon
License:           GPLv2
URL:               http://dnrd.sourceforge.net
Source0:           http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:           %{name}.service
Source2:           %{name}.conf.sample
BuildRequires:     systemd
Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd

%description
Domain Name Relay Daemon(dnrd) is a caching, forwarding DNS proxy server. It 
forwards DNS queries to the appropriate nameserver, but can also act as the 
primary nameserver for a subnet behind a firewall. It also has features such 
as caching DNS requests, support for DNS servers, cache poisoning prevention, 
TCP support, etc..

%prep
%setup -q
sed -i 's/\r//' COPYING

%build
%configure
make %{?_smp_mflags}

%install
make install INSTALL="install -p" DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
install -p -m644 %{S:2} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
mkdir -p %{buildroot}%{_unitdir}
install -p -m755 %{S:1} %{buildroot}%{_unitdir}/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%triggerun -- dnrd < 2.20.3-9
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply httpd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save dnrd >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del dnrd >/dev/null 2>&1 || :
/bin/systemctl try-restart dnrd.service >/dev/null 2>&1 || :

%files
%doc AUTHORS COPYING ChangeLog README doc/README-cache
%doc doc/README-master doc/master.sample
%{_mandir}/man8/%{name}.8*
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/dnrd.conf

%changelog
* Wed Aug 07 2013 Christopher Meng <rpm@cicku.me> - 2.20.3-13
- Build with PIE support(BZ#958037).
- Migrating to new systemd macro(BZ#850095).
- Add systemd BR fix FTBFS(BZ#925266).
- SPEC cleanup.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 15 2012 Jon Ciesla <limburgher@gmail.com> - 2.20.3-9
- Migrate to systemd, BZ 770254.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 16 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-4
- Fixed license tag -- missed in last update.

* Tue Jul 15 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-3
- Fixed license issue and removed duplicate files 

* Mon Jul 14 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-2
- Removed dos2unix dependency, created /etc/dnrd/ config file folder
- Added init.d script and an example conf file, Corrected release number
 
* Wed Jun 18 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-1
- Initial packaged version
